Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sharin.doc.builder.xhtml1
Class GenericCellElem<E extends Elem>

    java.lang.Object
      sharin.doc.builder.Elem
          sharin.doc.builder.GenericXmlElem<E>
              sharin.doc.builder.xhtml1.GenericCoreElem<E>
                  sharin.doc.builder.xhtml1.GenericCommonElem<E>
                      sharin.doc.builder.xhtml1.GenericCellElem<E>

Direct Known Subclasses:
  ColElem, ColgroupElem, TbodyElem, TdElem, TfootElem, TheadElem, ThElem, TrElem

    public class GenericCellElem<E extends Elem>

extends GenericCommonElem<E>

Constructor Summary
`GenericCellElem(String name, Object... nodes)`

Method Summary
`E` | `align(String value)`
`E` | `alignCenter()`
`E` | `alignChar()`
`E` | `alignJustify()`
`E` | `alignLeft()`
`E` | `alignRight()`
`E` | `cha(String value)` char
`E` | `charoff(String value)`
`E` | `valign(String value)`
`E` | `valignBaseline()`
`E` | `valignBottom()`
`E` | `valignMiddle()`
`E` | `valignTop()`

Methods inherited from class sharin.doc.builder.xhtml1.GenericCommonElem
`dir, lang, onclick, ondblclick, onkeydown, onkeypress, onkeyup, onmousedown, onmousemove, onmouseout, onmouseover, onmouseup, xmllang`

Methods inherited from class sharin.doc.builder.xhtml1.GenericCoreElem
`clas, id, style, title`

Methods inherited from class sharin.doc.builder.GenericXmlElem
`_, attr, toString`

Methods inherited from class sharin.doc.builder.Elem
`getAttrList, getName, getNodeList, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GenericCellElem

    public GenericCellElem(String name,
                           Object... nodes)

Method Detail

### align

    public E align(String value)

### alignLeft

    public E alignLeft()

### alignCenter

    public E alignCenter()

### alignRight

    public E alignRight()

### alignJustify

    public E alignJustify()

### alignChar

    public E alignChar()

### cha

    public E cha(String value)

  char

### charoff

    public E charoff(String value)

### valign

    public E valign(String value)

### valignTop

    public E valignTop()

### valignMiddle

    public E valignMiddle()

### valignBottom

    public E valignBottom()

### valignBaseline

    public E valignBaseline()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SHU. All Rights Reserved.